Linux Archive

Linux Archive (http://www.linux-archive.org/)
-   Debian GCC (http://www.linux-archive.org/debian-gcc/)
-   -   Bug#680590: gcc-4.7: FTBTS on lucid (http://www.linux-archive.org/debian-gcc/680929-bug-680590-gcc-4-7-ftbts-lucid.html)

Chip Salzenberg 07-07-2012 03:57 AM

Bug#680590: gcc-4.7: FTBTS on lucid
 
Package: gcc-4.7
Version: 4.7.1-3
Severity: serious
Tags: patch
Justification: fails to build from source (but built successfully in the past)

The attached patches allow me to build 4.7.1-3 for amd64 on lucid, using the
upstream FSF tarball. Some of the below patches fix bit rot, some fix
mistaken assumptions about lucid, and I think some of them may be just
wrong. Please advise.

-- System Information:
Debian Release: wheezy/sid
APT prefers unstable
APT policy: (990, 'unstable'), (1, 'experimental')
Architecture: i386 (i686)

Kernel: Linux 3.2.0-3-686-pae (SMP w/2 CPU cores)
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/bash

Versions of packages gcc-4.7 depends on:
ii binutils 2.22-7
ii cpp-4.7 4.7.1-3
ii gcc-4.7-base 4.7.1-3
ii libc6 2.13-34
ii libgcc1 1:4.7.1-3
ii libgmp10 2:5.0.5+dfsg-2
ii libgomp1 4.7.1-3
ii libitm1 4.7.1-3
ii libmpc2 0.9-4
ii libmpfr4 3.1.0-5
ii libquadmath0 4.7.1-3
ii zlib1g 1:1.2.7.dfsg-13

Versions of packages gcc-4.7 recommends:
ii libc6-dev 2.13-34

Versions of packages gcc-4.7 suggests:
ii binutils-gold 2.22-7
pn gcc-4.7-doc <none>
pn gcc-4.7-locales <none>
pn gcc-4.7-multilib <none>
pn libgcc1-dbg <none>
pn libgomp1-dbg <none>
pn libitm1-dbg <none>
ii libmudflap0-4.7-dev 4.7.1-3
pn libmudflap0-dbg <none>
pn libquadmath0-dbg <none>

-- no debconf information

Matthias Klose 07-07-2012 10:12 PM

Bug#680590: gcc-4.7: FTBTS on lucid
 
severity 680590 wishlist
thanks

not a debian issue.

On 07.07.2012 05:57, Chip Salzenberg wrote:
> The attached patches allow me to build 4.7.1-3 for amd64 on lucid, using the
> upstream FSF tarball. Some of the below patches fix bit rot, some fix
> mistaken assumptions about lucid, and I think some of them may be just
> wrong. Please advise.

- I updated the linaro support in the vcs
- the control file fix is ok
- I would like to see the multiarch support enabled by
default, fixed in the vcs
- newer b-d's like binutils are available in
https://launchpad.net/~ubuntu-toolchain-r/+archive/test/
see https://wiki.ubuntu.com/ToolChain#PPA_packages

I'll update this PPA with 4.7.1 as well.



--
To UNSUBSCRIBE, email to debian-gcc-REQUEST@lists.debian.org
with a subject of "unsubscribe". Trouble? Contact listmaster@lists.debian.org
Archive: 4FF8B440.6030903@debian.org">http://lists.debian.org/4FF8B440.6030903@debian.org


All times are GMT. The time now is 11:21 PM.

VBulletin, Copyright ©2000 - 2014, Jelsoft Enterprises Ltd.
Content Relevant URLs by vBSEO ©2007, Crawlability, Inc.